API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

POST /v1/dms/folders

POST/v1/dms/folders

Create a DMS folder

Request Body

NameTypBeschreibung
nameerforderlichstring
parentIdstring
descriptionstring
iconstring
colorstring
defaultDocumentTypeIdstring
retentionPolicyIdstring
sortOrderinteger

Beispiel

curl -X POST https://api.codemeta-os.de/v1/dms/folders \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "name": "string",
  "parentId": "string",
  "description": "string",
  "icon": "string",
  "color": "string",
  "defaultDocumentTypeId": "string",
  "retentionPolicyId": "string",
  "sortOrder": 0
}'
const result = await cm.dms.post({
  "name": "string",
  "parentId": "string",
  "description": "string",
  "icon": "string",
  "color": "string",
  "defaultDocumentTypeId": "string",
  "retentionPolicyId": "string",
  "sortOrder": 0
});

Antwortcodes

HTTP Bedeutung
200 Default Response

Suche